%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	Size
Summary:	Image::Size - read the dimensions of an image in several popular formats
Summary(pl.UTF-8):	Image::Size - odczyt rozmiarów obrazków w kilku popularnych formatach
Name:		perl-Image-Size
Version:	3.232
Release:	1
Epoch:		1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Image/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	908db185487fabdd293f7759113b3a49
URL:		http://search.cpan.org/dist/Image-Size/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Image::Magick)'

%description
Image::Size is a library based on the image-sizing code in the
wwwimagesize script, a tool that analyzes HTML files and adds HEIGHT
and WIDTH tags to IMG directives. Image::Size has generalized that
code to return a raw (X, Y) pair, and included wrappers to pre-format
that output into either HTML or a set of attribute pairs suitable for
the CGI.pm library by Lincoln Stein.

Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, PNG,
MNG, TIFF, the PPM family of formats (PPM/PGM/PBM) and if
Image::Magick is installed, the formats supported by it.

%description -l pl.UTF-8
Image::Size to biblioteka oparta na kodzie sprawdzającym rozmiar
obrazków w skrypcie wwwimagesize - narzędziu analizującym pliki HTML i
dodającym atrybuty HEIGHT i WIDTH do znaczników IMG. Image::Size ma
uogólniony kod tak, żeby zwracał parę (X,Y) oraz dołączone wrappery
preformatujące to wyjście do HTML-a lub zbioru par atrybutów dla
biblioteki CGI.pm Lincolna Steina.

Aktualnie Image::Size może odczytać rozmiar obrazków w formatach XPM,
XBM, GIF, JPEG, PNG, MNG, TIFF i rodzinie PPM (PPM/PGM/PBM) oraz,
jeśli zainstalowano Image::Magick, w formatach obsługiwanych przez tę
bibliotekę.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/imgsize
%{perl_vendorlib}/Image/Size.pm
%{_mandir}/man1/imgsize.1p*
%{_mandir}/man3/Image::Size.3pm*
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Image-Size.git;a=log;h=master

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 35994ad
- updated to 3.232

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> f872e27
- up to 3.230

* Thu Nov 26 2009 amateja <amateja@pld-linux.org> 4d714a7
- updated to 3.220
- packaged new file
- adapterized

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> c7c7f53
- updated to 3.2

* Fri Jul 06 2007 czarny <czarny@pld-linux.org> 438d37d
- up to 3.01

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ac51a18
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 585e7ba
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 408c6da
- rel 1

* Wed Aug 09 2006 Maciej Pijanka <agaran@pld-linux.org> 4180240
- up to 3.0, rel 0.1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5a26cc8
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 2355466
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> dae36d6
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1bf747f
- fixed perl-devel BR

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 0992a1f
- license fixes & unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> eacbed3
- cosmetics, unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> d053859
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0fe28ca
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jul 30 2003 grzegol <grzegol@pld-linux.org> dc20c9b
- updated to 2.992

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 96e12ea
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 30f2576
- massive attack s/pld.org.pl/pld-linux.org/

